/*
 * This file is generated by jOOQ.
 */
package de.ship.db.tables.records;


import de.ship.db.tables.VCoreStudy;

import org.jooq.impl.TableRecordImpl;


/**
 * This class is generated by jOOQ.
 */
@SuppressWarnings({ "all", "unchecked", "rawtypes" })
public class VCoreStudyRecord extends TableRecordImpl<VCoreStudyRecord> {

    private static final long serialVersionUID = 1L;

    /**
     * Setter for <code>common_dd.v_core_study.key_element</code>.
     */
    public void setKeyElement(Integer value) {
        set(0, value);
    }

    /**
     * Getter for <code>common_dd.v_core_study.key_element</code>.
     */
    public Integer getKeyElement() {
        return (Integer) get(0);
    }

    /**
     * Setter for <code>common_dd.v_core_study.study_element</code>.
     */
    public void setStudyElement(Integer value) {
        set(1, value);
    }

    /**
     * Getter for <code>common_dd.v_core_study.study_element</code>.
     */
    public Integer getStudyElement() {
        return (Integer) get(1);
    }

    /**
     * Setter for <code>common_dd.v_core_study.study_id</code>.
     */
    public void setStudyId(Integer value) {
        set(2, value);
    }

    /**
     * Getter for <code>common_dd.v_core_study.study_id</code>.
     */
    public Integer getStudyId() {
        return (Integer) get(2);
    }

    /**
     * Setter for <code>common_dd.v_core_study.study_name</code>.
     */
    public void setStudyName(String value) {
        set(3, value);
    }

    /**
     * Getter for <code>common_dd.v_core_study.study_name</code>.
     */
    public String getStudyName() {
        return (String) get(3);
    }

    /**
     * Setter for <code>common_dd.v_core_study.token_data</code>.
     */
    public void setTokenData(String value) {
        set(4, value);
    }

    /**
     * Getter for <code>common_dd.v_core_study.token_data</code>.
     */
    public String getTokenData() {
        return (String) get(4);
    }

    /**
     * Setter for <code>common_dd.v_core_study.token_config</code>.
     */
    public void setTokenConfig(String value) {
        set(5, value);
    }

    /**
     * Getter for <code>common_dd.v_core_study.token_config</code>.
     */
    public String getTokenConfig() {
        return (String) get(5);
    }

    // -------------------------------------------------------------------------
    // Constructors
    // -------------------------------------------------------------------------

    /**
     * Create a detached VCoreStudyRecord
     */
    public VCoreStudyRecord() {
        super(VCoreStudy.V_CORE_STUDY);
    }

    /**
     * Create a detached, initialised VCoreStudyRecord
     */
    public VCoreStudyRecord(Integer keyElement, Integer studyElement, Integer studyId, String studyName, String tokenData, String tokenConfig) {
        super(VCoreStudy.V_CORE_STUDY);

        setKeyElement(keyElement);
        setStudyElement(studyElement);
        setStudyId(studyId);
        setStudyName(studyName);
        setTokenData(tokenData);
        setTokenConfig(tokenConfig);
        resetChangedOnNotNull();
    }
}
